Bug 24175 - Cannot cancel holds - wrong parameter passed for itemnumber
Summary: Cannot cancel holds - wrong parameter passed for itemnumber
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-04 18:49 UTC by Nick Clemens
Modified: 2019-12-30 12:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
Bug 24175: Unit tests (3.32 KB, patch)
2019-12-04 18:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold (1.18 KB, patch)
2019-12-04 18:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24175: Take advantage of Koha::Item->holds (1.04 KB, patch)
2019-12-17 13:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24175: Unit tests (3.39 KB, patch)
2019-12-17 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold (1.25 KB, patch)
2019-12-17 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24175: Take advantage of Koha::Item->holds (1.11 KB, patch)
2019-12-17 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24175: Simplify tests (3.82 KB, patch)
2019-12-17 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24175: Unit tests (3.54 KB, patch)
2019-12-20 15:02 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold (1.40 KB, patch)
2019-12-20 15:02 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 24175: Take advantage of Koha::Item->holds (1.26 KB, patch)
2019-12-20 15:03 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 24175: Simplify tests (3.96 KB, patch)
2019-12-20 15:03 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 24175: Unit tests (3.60 KB, patch)
2019-12-20 17:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold (1.46 KB, patch)
2019-12-20 17:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24175: Take advantage of Koha::Item->holds (1.32 KB, patch)
2019-12-20 17:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24175: Simplify tests (4.03 KB, patch)
2019-12-20 17:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24175: [19.05.x] Unit tests (3.69 KB, patch)
2019-12-30 12:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24175: [19.05.x] Use itemnumber when searching for holds in SIP drop_hold (1.47 KB, patch)
2019-12-30 12:12 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-12-04 18:49:22 UTC
When searching holds we pass $self->{item}->id, which is the barcode, as the itemnumber.
Comment 1 Nick Clemens 2019-12-04 18:54:41 UTC
Created attachment 95999 [details] [review]
Bug 24175: Unit tests
Comment 2 Nick Clemens 2019-12-04 18:54:44 UTC
Created attachment 96000 [details] [review]
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold

To test:
1 - place a hold for a patron
2 - Get SIP running
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
3 - edit the sip_cli_emulator.pl for hold_mode from '+' to '-'
4 - Attempt to cancel hold
5 - It fails
6 - Apply patch
7 - Try again
8 - It succeeds
Comment 3 Jonathan Druart 2019-12-17 13:26:17 UTC
Created attachment 96372 [details] [review]
Bug 24175: Take advantage of Koha::Item->holds
Comment 4 Jonathan Druart 2019-12-17 13:58:39 UTC
Created attachment 96375 [details] [review]
Bug 24175: Unit tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2019-12-17 13:58:43 UTC
Created attachment 96376 [details] [review]
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold

To test:
1 - place a hold for a patron
2 - Get SIP running
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
3 - edit the sip_cli_emulator.pl for hold_mode from '+' to '-'
4 - Attempt to cancel hold
5 - It fails
6 - Apply patch
7 - Try again
8 - It succeeds

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2019-12-17 13:58:46 UTC
Created attachment 96377 [details] [review]
Bug 24175: Take advantage of Koha::Item->holds

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2019-12-17 13:58:49 UTC
Created attachment 96378 [details] [review]
Bug 24175: Simplify tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Joonas Kylmälä 2019-12-20 15:02:55 UTC
Created attachment 96527 [details] [review]
Bug 24175: Unit tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 9 Joonas Kylmälä 2019-12-20 15:02:58 UTC
Created attachment 96528 [details] [review]
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold

To test:
1 - place a hold for a patron
2 - Get SIP running
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
3 - edit the sip_cli_emulator.pl for hold_mode from '+' to '-'
4 - Attempt to cancel hold
5 - It fails
6 - Apply patch
7 - Try again
8 - It succeeds

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 10 Joonas Kylmälä 2019-12-20 15:03:01 UTC
Created attachment 96529 [details] [review]
Bug 24175: Take advantage of Koha::Item->holds

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 11 Joonas Kylmälä 2019-12-20 15:03:05 UTC
Created attachment 96530 [details] [review]
Bug 24175: Simplify tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 12 Joonas Kylmälä 2019-12-20 15:04:16 UTC
I added my sign-off for the patches from Jonathan because they were not so trivial. So now waiting for someone to QA this.
Comment 13 Martin Renvoize 2019-12-20 17:56:36 UTC
Created attachment 96534 [details] [review]
Bug 24175: Unit tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2019-12-20 17:56:39 UTC
Created attachment 96535 [details] [review]
Bug 24175: Use itemnumber when searching for holds in SIP drop_hold

To test:
1 - place a hold for a patron
2 - Get SIP running
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
3 - edit the sip_cli_emulator.pl for hold_mode from '+' to '-'
4 - Attempt to cancel hold
5 - It fails
6 - Apply patch
7 - Try again
8 - It succeeds

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2019-12-20 17:56:42 UTC
Created attachment 96536 [details] [review]
Bug 24175: Take advantage of Koha::Item->holds

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2019-12-20 17:56:45 UTC
Created attachment 96537 [details] [review]
Bug 24175: Simplify tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2019-12-20 17:57:24 UTC
Works as expected and passes tests and qa scripts.. Passing QA
Comment 18 Martin Renvoize 2019-12-23 11:08:58 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 19 Joy Nelson 2019-12-23 17:55:00 UTC
Pushed to 19.11.01
Comment 20 Lucas Gass 2019-12-23 18:24:35 UTC
cant rebase for 19.05, if it is needed please supply a 19.05 patch.
Comment 21 Nick Clemens 2019-12-30 12:12:52 UTC
Created attachment 96680 [details] [review]
Bug 24175: [19.05.x] Unit tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Bug 24175: Simplify tests

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Bug 24175: [19.05.x] Remove use of Koha::Item::Holds
Comment 22 Nick Clemens 2019-12-30 12:12:56 UTC
Created attachment 96681 [details] [review]
Bug 24175: [19.05.x] Use itemnumber when searching for holds in SIP drop_hold

To test:
1 - place a hold for a patron
2 - Get SIP running
    https://wiki.koha-community.org/wiki/Koha_SIP2_server_setup
3 - edit the sip_cli_emulator.pl for hold_mode from '+' to '-'
4 - Attempt to cancel hold
5 - It fails
6 - Apply patch
7 - Try again
8 - It succeeds

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>